/* 
** AUTHORS: 
** Rama Alebouyeh (rama[at]cs.ucsb.edu)
** Matthew S Allen (msa[at]cs.ucsb.edu)
*/

#ifndef DTIME_H
#define DTIME_H

#include <sys/time.h>

#ifdef __cplusplus
extern "C" {
#endif

/*
** dtime:
**  returns the time of day in double format with microsecond precision
*/

extern double dtime();

/*
** dalarm: time
**  generates a SIGALRM signal in #time# seconds
** dalarm: time
**  sleeps for #time# seconds
*/

extern void dalarm(double time);
extern void dsleep(double time);

/*
** dtotv: d, tv
**  returns the struct timeval representation of double #d#
** tvtod: tv, d
**  returns the double representation of timeval #tv#
*/

extern struct timeval dtotv(double d);
extern double tvtod(struct timeval tv);

#ifdef __cplusplus
}
#endif

#endif /* DTIME_H */
