/*
** Authors: 
** Rama Alebouyeh ( rama[at]cs.ucsb.edu )
** Matthew Allen ( msa[at]cs.ucsb.edu )
*/ 

#include <stdio.h>
#include <openssl/evp.h>
#include <stdlib.h>


char * sha1_keygen(char * key,char * digest, int size);


main(int argc, char *argv[]){
  
  char *digest;
  char input[128];
  int i,count,port; 
  int keys=0;
  
  port =11111;

  if(argc < 3 || argc > 4){
    printf("Usage: sha1_keygen count hostname [KEYS_ONLY]\n");
    exit(0);
  }
  
  if(argc==4 && (strcmp(argv[3],"KEYS_ONLY")== 0))
    keys =1 ;
  count = atoi( argv[1]);
  
  for(i=0;i<count;i++){
    sprintf(input,"%s:%d",argv[2],port+i);
    digest=sha1_keygen(input,digest,40);
    if(keys)
      printf("%s\n",digest);
    else
      printf("%s %d %s\n",argv[2],port+i,digest);
  }
   
}

char * sha1_keygen(char * key, char * digest, int size )
{
  EVP_MD_CTX mdctx;
  const EVP_MD *md;
  unsigned char *md_value; 
  int md_len, i;
  
  md_value = (unsigned char *)malloc(EVP_MAX_MD_SIZE);
  digest = (char *) malloc (64);

  OpenSSL_add_all_digests();

  md = EVP_get_digestbyname("sha1");

  EVP_MD_CTX_init(&mdctx);
  EVP_DigestInit_ex(&mdctx, md, NULL);
  EVP_DigestUpdate(&mdctx, key, strlen(key));
  EVP_DigestFinal_ex(&mdctx, md_value, &md_len);
  EVP_MD_CTX_cleanup(&mdctx);

  
  char * tmp= digest;
  for(i = 0; i < md_len; i++){
    sprintf(tmp,"%02x", md_value[i]);
    tmp=tmp+2;
  }
  tmp='\0';
  //  printf("Digest : %s\n",digest);
  digest[size]='\0';
  
  return(digest);
}
